找回密码
 注册帐号

扫一扫,访问微社区

脚本 C#程序集引用冲突问题

5
回复
148
查看
打印 上一主题 下一主题
[ 复制链接 ]
5熟悉之中
816/1000
排名
4198
昨日变化

8

主题

103

帖子

816

积分

Rank: 5Rank: 5

UID
271244
好友
1
蛮牛币
3181
威望
0
注册时间
2018-3-7
在线时间
355 小时
最后登录
2019-9-27
30蛮牛币
今天Unity引入了System.Data.dll,想连接数据库时,使用System.Data.ConnectionState时出现引用错误


类型‘ConnectionState’同时存在于“System.Data,Version 4.0.0.0 balabala..” 和“netstandard ,Version 2.0.0.0 balabala”中;


这两个dll文件都是不能删的,求解答.在线等,急


上图




error.png (43.04 KB, 下载次数: 3)

error.png
回复

使用道具 举报

0

主题

6

帖子

15

积分

Rank: 1

UID
317662
好友
0
蛮牛币
313
威望
0
注册时间
2019-3-26
在线时间
19 小时
最后登录
2019-9-23
沙发
2019-9-16 10:58:16 只看该作者
看一下PlayerSetting里边的API兼容性版本,如果是NET 2.0的话就选择.net4.X
回复

使用道具 举报

排名
18294
昨日变化

0

主题

154

帖子

310

积分

Rank: 7Rank: 7Rank: 7Rank: 7

UID
13854
好友
0
蛮牛币
412
威望
0
注册时间
2014-2-8
在线时间
119 小时
最后登录
2019-9-25
板凳
2019-9-16 11:20:14 只看该作者
配置下 程序集的定向 兼容旧版本
回复

使用道具 举报

5熟悉之中
816/1000
排名
4198
昨日变化

8

主题

103

帖子

816

积分

Rank: 5Rank: 5

UID
271244
好友
1
蛮牛币
3181
威望
0
注册时间
2018-3-7
在线时间
355 小时
最后登录
2019-9-27
地板
楼主 2019-9-16 11:31:57 只看该作者
爱无界的痛 发表于 2019-9-16 11:20
配置下 程序集的定向 兼容旧版本

可否指引详细操作
回复

使用道具 举报

5熟悉之中
816/1000
排名
4198
昨日变化

8

主题

103

帖子

816

积分

Rank: 5Rank: 5

UID
271244
好友
1
蛮牛币
3181
威望
0
注册时间
2018-3-7
在线时间
355 小时
最后登录
2019-9-27
5#
楼主 2019-9-16 11:34:53 只看该作者
本帖最后由 昨日友人 于 2019-9-16 11:36 编辑
爱无界的痛 发表于 2019-9-16 11:20
配置下 程序集的定向 兼容旧版本

测试发现,在unity2018版本中正常,在2019中会出现问题,是因为2018中没有自带程序集netstandard.dll,请问知道怎么解决吗
2019版本删除了netstandard程序集之后会丢失所有系统库的东西
回复

使用道具 举报

5熟悉之中
816/1000
排名
4198
昨日变化

8

主题

103

帖子

816

积分

Rank: 5Rank: 5

UID
271244
好友
1
蛮牛币
3181
威望
0
注册时间
2018-3-7
在线时间
355 小时
最后登录
2019-9-27
6#
楼主 2019-9-16 11:47:42 只看该作者
liu3330666 发表于 2019-9-16 11:46
看一下PlayerSetting里边的API兼容性版本,如果是NET 2.0的话就选择.net4.X

大哥评论,真实有效

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册帐号

本版积分规则